For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Users
      • PUTUpdate User
      • DELDelete User
      • GETGet User By ID
Get supportSee a Demo
API ReferenceUsers

Create Users

POST
/v2/issuers/:organizationId/users
POST
/v2/issuers/:organizationId/users
$curl -X POST https://rewards-api.getkard.com/v2/issuers/organization-123/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "user",
> "attributes": {
> "enrolledRewards": [
> "CARDLINKED"
> ],
> "zipCode": "11238",
> "email": "user@example.com",
> "hashedEmail": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3e2d8a5b76e45a1d4c4e2e3a1",
> "phoneNumber": "+14155552671",
> "birthYear": "1990",
> "historicalTransactionsSent": true
> },
> "id": "1234567890"
> }
> ]
>}'
1{
2 "data": [
3 {
4 "type": "user",
5 "attributes": {
6 "enrolledRewards": [
7 "CARDLINKED"
8 ],
9 "zipCode": "11238",
10 "email": "user@example.com",
11 "hashedEmail": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3e2d8a5b76e45a1d4c4e2e3a1",
12 "phoneNumber": "+14155552671",
13 "birthYear": "1990",
14 "historicalTransactionsSent": true
15 },
16 "id": "1234567890"
17 }
18 ]
19}

Call this endpoint to enroll a specified user into your rewards program.

Required scopes:  user:write
Note: Maximum of 100 users can be created per request.

Was this page helpful?
Previous

Update User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard

Request

This endpoint expects an object.
datalist of objectsRequired

Response

This endpoint returns an object.
datalist of objects

Errors

207
Multi Status
400
Invalid Request
401
Unauthorized Error
409
Conflict Error
500
Internal Server Error